package com.ho.business.mapper;

import com.ho.business.entity.PointPolysemyConfig;
import com.ho.business.vo.req.dynamicConfig.DynamicConfigQuery;
import com.ho.business.vo.resp.dynamicConfig.CurveConfigResp;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface PointPolysemyConfigMapper {

    /**
     * 批量插入
     * @param config
     * @return
     */
    int insertList(List<PointPolysemyConfig> config);

    /**
     * 插入数据
     * @param config
     * @return
     */
    int insertOne(PointPolysemyConfig config);

    /**
     * 批量更新数据
     * @param config
     * @return
     */
    int updateById(PointPolysemyConfig config);

    /**
     * 根据条件查询曲线配置数据
     * @param ids
     * @return
     */
    List<PointPolysemyConfig> selectByPointIds(@Param("ids") List<Integer> ids,@Param("lang") String lang);

    /**
     * 根据id删除配置信息
     * @param ids
     * @return
     */
    int deleteByIds(@Param("ids") List<Integer> ids);

    /**
     * 根据pointId删除配置信息
     * @param ids
     * @return
     */
    int deleteByPointIds(@Param("ids") List<Integer> ids);
}
